Edit User
Edit an existing user in Veeva SiteVault. Bulk editing is not supported. You must be in the organization context to add study assignments for other sites within the organization.
PUT
/api/{version}/app/sitevault/useradmin/persons/{personId}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json |
Accept | application/json |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{personid} | The ID of the person__sys to edit. |
Body Parameters
Section link for Body ParametersIn the body of the request, upload parameters as a JSON file. The following tables provide the required and most common optional parameters for editing a user.
Edit Existing User
Section link for Edit Existing UserThe following table lists the fields required to edit an existing user.
| Name | Description |
|---|---|
usernameconditional | The username associated with the existing User account. Must include the domain name. Only required when editing a person record to associate with an existing user record. |
is_investigatorrequired | Indicates if the user is an investigator. External users must be noted as false. |
Organization Assignment
Section link for Organization AssignmentThe following table lists the fields required to include an organization assignment when editing a user.
| Name | Description |
|---|---|
assignmentsrequired | This object defines the user’s permissions. |
assignments.org_assignmentrequired | This object defines the user’s organization-level permissions. Not required when editing if the organization assignment isn’t changing. Content sent in this call will overwrite any existing orgAssignments with the same orgID. |
assignments.org_idrequired | The ID of the organization. |
assignments.system_role_idrequired | The system ID of the organization-level system role for the user. Select from org_admin__v, org_full__v, or org_external__v. When removing access to an organization, select org_no_access__v. |
assignments.addonsoptional | The system ID for the organization-level add-on permissions assigned to the user. Add-on permissions must be valid for the specified system role. Add-on permissions are not available for the Site Viewer or External User roles. Select org_patients__v. Do not include if not applicable. |
Site Assignment
Section link for Site AssignmentThe following table lists the fields required to include a site assignment when editing a user.
| Name | Description |
|---|---|
site_assignmentsrequired | This object defines the user’s site-level permissions. |
site_assignments.site_USNrequired | The Universal Site Number (USN) assigned to the Site. |
site_assignments.system_role_idrequired | The system ID for the site-level system role for the user. Select from regulatory__v, study_team__v, site_viewer__v, or external__v. When removing access to a site, set to no_access__v. |
site_assignments.addonsrequired | The system ID for the site-level add-on permissions assigned to the user. Add-on permissions must be valid for the specified system role. Add-on permissions are not available for the Site Viewer or External User roles. Select from site_budgets__v, site_patients__v, and site_profiles__v. Use a comma to separate when selecting multiple add-on permissions (ex. ["site_budgets__v", "site_patients__v"]). Do not include if not applicable. |
Study Assignment
Section link for Study AssignmentThe following table lists the fields required to include a study assignment when editing a user.
| Name | Description |
|---|---|
study_assignmentsrequired | This object defines the user’s study-level permissions. |
study_assignments.idrequired | The Study ID. |
study_assignments.study_rolerequired | The study-level role for the user. Select from sponsor_cro__v or auditor_inspector__v for external users. Select from clinical_research_coordinator__v, data_coordinator__v, principal_investigator__v, regulatory_coordinator__v, research_nurse__v, subinvestigator__v, pharmacist__v, or other__v, for site staff. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
--data-raw '[
{
"is_investigator": false,
"assignments": {
"org_assignment": {
"org_id": "V42000000001001",
"system_role_id": "org_no_access__v"
},
"site_assignments": [
{
"site_usn": "US-NC-0002",
"system_role_id": "no_access__v"
}
]
}
}
]' \
https://myvault.veevavault.com/api/v26.1/app/sitevault/useradmin/persons/V0B000000001001Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"response": {
"status": "Success",
"email": "jerry.cotter@company.com",
"username": "jerry.cotter@company.com",
"person_id": "V0B000000001001",
"record_status": "active__v"
}
}
}